Skip to main content
GET
Get Markets

Query Parameters

market_slug
string[]

Filter markets by market slug(s). Can provide multiple values.

Example:
event_slug
string[]

Filter markets by event slug(s). Can provide multiple values.

Example:
condition_id
string[]

Filter markets by condition ID(s). Can provide multiple values.

Example:
token_id
string[]

Filter markets by token ID(s). Matches markets where the token_id is either the primary_token_id or secondary_token_id. Can provide multiple values (maximum 100). Each token_id must be a numeric string.

Maximum array length: 100
Pattern: ^[0-9]+$
Example:
tags
string[]

Filter markets by tag(s). Can provide multiple values.

Example:

Search markets by keywords in title and description. Must be URL encoded (e.g., 'bitcoin%20price' for 'bitcoin price').

Example:

"bitcoin"

status
enum<string>

Filter markets by status (whether they're open or closed)

Available options:
open,
closed
Example:

"open"

min_volume
number

Filter markets with total trading volume greater than or equal to this amount (USD)

Example:

100000

limit
integer
default:10

Number of markets to return (1-100). Default: 10 for search, 10 for regular queries.

Required range: 1 <= x <= 100
Example:

20

pagination_key
string

Base64-encoded cursor for efficient pagination. Returned in the previous response's pagination object. Use this instead of large offsets for better performance.

Example:

"eyJzdGFydF9kYXRlIjoiMjAyNi0wMS0xOVQxMjowMDowMC4wMDBaIiwiY29uZGl0aW9uX2lkIjoiMHgxMjM0In0="

start_time
integer

Filter markets from this Unix timestamp in seconds (inclusive)

Example:

1640995200

end_time
integer

Filter markets until this Unix timestamp in seconds (inclusive)

Example:

1672531200

Response

Markets response with pagination

markets
object[]
pagination
object